Hide navigation sidebar
Hide table of contents sidebar
Support urllib3 on GitHub Sponsors

- For Enterprise
- v2.0 Roadmap
- Sponsors and Supporters
- User Guide
- Advanced Usage
- API Reference
  Toggle navigation of API Reference
  - Pool Manager
  - Connection Pools
  - Connections
  - Exceptions
  - Response and Decoders
  - Fields and Multipart Forms
  - Request Methods
  - Utilities
  - Third-Party Modules
    Toggle navigation of Third-Party Modules
    - Google App Engine
    - NTLM Authentication
    - PyOpenSSL
    - macOS SecureTransport
    - SOCKS Proxies
- Contributing

Back to top
Toggle table of contents sidebar